%global  alt_name libdisplay-info

Name:     libdisplay-info0.2
Version:  0.2.0
Release:  1%{?dist}
Summary:  EDID and DisplayID library
License:  MIT
URL:      https://gitlab.freedesktop.org/emersion/libdisplay-info
Source:	  %{url}/%{alt_name}-%{version}.tar.xz


BuildRequires:  meson make gcc
BuildRequires:  pkgconfig(hwdata)


%description
EDID and DisplayID library.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{alt_name}-%{version}


%build
%meson
%meson_build


%install
%meson_install

##mv -v %{buildroot}/%{_libdir}/%{alt_name}.so.%{version} %{buildroot}/%{_libdir}/%{name}.so.%{version}
mv -v %{buildroot}/%{_includedir}/%{alt_name} %{buildroot}/%{_includedir}/%{name}
mv -v %{buildroot}/%{_libdir}/%{alt_name}.so %{buildroot}/%{_libdir}/%{name}.so
mv -v %{buildroot}/%{_libdir}/pkgconfig/%{alt_name}.pc %{buildroot}/%{_libdir}/pkgconfig/%{name}.pc
rm -v %{buildroot}/%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_libdir}/%{alt_name}.so.*


%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
%autochangelog
